OK
AJAX error!

Les forumsGrammalecte[Thunderbird 60] Grammalecte 0.6.3.1 incompatible

[Thunderbird 60] Grammalecte 0.6.3.1 incompatible

Bonjour,

Thunderbird 60.0 est sorti, bien qu'encore considéré comme version de test par l'équipe de Thunderbird (la version 60.1 sera proposé en mise à jour aux versions 52), j'ai voulu vérifier la compatibilité des add-ons que j'utilise dont Grammalecte.

L'extension Grammalecte 0.6.3.1 ne fonctionne absolument pas même avec extensions.strictCompatibility à false.
Du coup, l'extension requière quelques modifications pour fonctionner de nouveau avec cette nouvelle version majeure.

Thunderbird 60 supporte toujours les extensions legacy contrairement à Firefox, ce qui pourrait permettre de faire des ajustement peut-être pas très conséquent pour qu'elle puisse de nouveau fonctionner.

Il est à noter tout de même que Thunderbird 60 apporte le support des WebExtensions, qui d'après @Admin, possède une meilleure documentation et est donc plus simple à développer. De plus, ça pourrait permettre de mettre quelques parties de code en commun avec l'extension de Firefox (si les APIs sont relativement les mêmes), ce qui pourrait faciliter un peu plus le travail.

Un guide est disponible sur le wiki de Mozilla :
wiki.mozilla.org…
le 29 août 2018 à 00:31
L'extension non officielle est disponible sur www.dicollecte.org…

L'adresse directe : www.dicollecte.org…

« Chez moi, ça marche » ©
le 29 août 2018 à 09:41
Ah oui, je ne l'avais pas vue.
Mea culpa.
le 29 août 2018 à 11:05
La nouvelle version pour Thunderbird 60 vient d’être validée sur le site des extensions.
le 31 août 2018 à 11:23
Bonjour

(je n'ouvre pas un nouveau fil, puisque le problème est lié, je pense)

Dans le nouveau Thunderbird 60.2.1, et avec la version 0.6.5 de Grammalecte, je n'arrive pas à choisir le dictionnaire : il ne me propose pas "réforme", "classique", etc., comme dans les captures d'écran, seulement "Main dictionnary" et "personal".

Une idée ?

Merci
le 12 octobre 2018 à 09:47
Les dictionnaires pour Hunspell ne sont plus accessibles aux extensions depuis Thunderbird 60, qui a commencé à revoir le fonctionnement des extensions. Ça va se rapprocher de plus en plus vers le système de WebExtension de Firefox.
Donc, l’option des dictionnaires a été supprimée parce qu’on n’a pas le choix pour l’instant.
Je vais bientôt mettre à jour le site web avec de nouvelles captures d’écran.
le 12 octobre 2018 à 09:53
Malédiction ! Je vais devoir m'exprimer en vieux français archaïque...

Merci pour votre réponse rapide et bon courage.

(ne serait-il pas possible de fournir également une version avec le dico réforme ?)
le 12 octobre 2018 à 11:19

Notification par e-mail    1